services:
  _defaults:
    autoconfigure: true
  Violution\VioAlttagki\Services\GenerateAltTagsService:
    arguments:
      - '@Violution\VioAlttagki\Helper\GetFilesAndFoldersHelper'
      - '%kernel.project_dir%'
      - '@monolog.logger.contao'
  Violution\VioAlttagki\Cron\GenerateAltTagsCron:
    tags:
      - { name: contao.cronjob, interval: minutely }
    arguments:
      - '@Violution\VioAlttagki\Services\GenerateAltTagsService'
      - '@monolog.logger.contao'
  Violution\VioAlttagki\Command\GenerateAltTagsCommand:
      arguments:
        -  '@contao.framework'
        - '@Violution\VioAlttagki\Services\GenerateAltTagsService'
      tags:
        - { name: console.command, command: 'vio:startjob' }
  Violution\VioAlttagki\Helper\GetFilesAndFoldersHelper:
      public: true
      arguments:
        - '%kernel.project_dir%'
  Violution\VioAlttagki\Controller\AjaxController:
      public: true
      calls:
        - [ setContainer, [ '@Psr\Container\ContainerInterface' ] ]
      arguments:
        - '@contao.framework'
        - '@monolog.logger.contao'
        - '%kernel.project_dir%'